- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osg::ColorMask Class Reference

Encapsulates OpenGL glColorMaskFunc/Op/Mask functions. More...

Inheritance diagram for osg::ColorMask:

[legend]
List of all members.

## Public Member Functions
| ColorMask ()
| ColorMask (bool red, bool green, bool blue, bool alpha)
| ColorMask (const ColorMask &cm, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| Copy constructor using CopyOp to manage deep vs shallow copy.
| META_StateAttribute (osg, ColorMask, COLORMASK)
virtual int | compare (const StateAttribute &sa) const
| Return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs.
void | setMask (bool red, bool green, bool blue, bool alpha)
bool | getRedMask () const
bool | getGreenMask () const
bool | getBlueMask () const
bool | getAlphaMask () const
virtual void | apply (State &state) const
| apply the OpenGL state attributes.
## Protected Member Functions
virtual | ~ColorMask ()
## Protected Attributes
bool | _red
bool | _green
bool | _blue
bool | _alpha

## Detailed Description

Encapsulates OpenGL glColorMaskFunc/Op/Mask functions.

## Constructor & Destructor Documentation

ColorMask::ColorMask | ( |  | ) |

osg::ColorMask::ColorMask | ( | bool | red,
|  | bool | green,
|  | bool | blue,
|  | bool | alpha
| ) | `[inline]`

osg::ColorMask::ColorMask | ( | const ColorMask & | cm,
|  | const CopyOp & | copyop = `CopyOp::SHALLOW_COPY`
| ) | `[inline]`

| Copy constructor using CopyOp to manage deep vs shallow copy.

ColorMask::~ColorMask | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

void ColorMask::apply | ( | State & | state | ) | const`[virtual]`

| apply the OpenGL state attributes. The global state for the current OpenGL context is passed in to allow the StateAttribute to obtain details on the the current context and state. Implements osg::StateAttribute.

virtual int osg::ColorMask::compare | ( | const StateAttribute & | sa | ) | const`[inline, virtual]`

| Return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs. Implements osg::StateAttribute.

bool osg::ColorMask::getAlphaMask | ( |  | ) | const`[inline]`

bool osg::ColorMask::getBlueMask | ( |  | ) | const`[inline]`

bool osg::ColorMask::getGreenMask | ( |  | ) | const`[inline]`

bool osg::ColorMask::getRedMask | ( |  | ) | const`[inline]`

osg::ColorMask::META_StateAttribute | ( | osg | ,
|  | ColorMask | ,
|  | COLORMASK |
| ) |

void osg::ColorMask::setMask | ( | bool | red,
|  | bool | green,
|  | bool | blue,
|  | bool | alpha
| ) | `[inline]`

## Member Data Documentation

bool osg::ColorMask::_alpha`[protected]`

bool osg::ColorMask::_blue`[protected]`

bool osg::ColorMask::_green`[protected]`

bool osg::ColorMask::_red`[protected]`

The documentation for this class was generated from the following files:

- ColorMask
- ColorMask.cpp